Package io.dapr.client.domain

# Class SaveStateRequest

java.lang.Object
io.dapr.client.domain.SaveStateRequest

public class SaveStateRequest extends Object
A request to save states to state store.

## Constructor Summary

Constructors
Constructor
Description
`SaveStateRequest(String storeName)`
Constructor for SaveStateRequest.

## Method Summary

Modifier and Type
Method
Description
`List<State<?>>`
`getStates()`
`String`
`getStoreName()`
`SaveStateRequest`
`setStates(State<?>... states)`
`SaveStateRequest`
`setStates(List<State<?>> states)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaveStateRequest

public SaveStateRequest(String storeName)
Constructor for SaveStateRequest.

Parameters:
  `storeName` - Name of the state store

## Method Details

### getStoreName

public String getStoreName()

### getStates

public List<State<?>> getStates()

### setStates

public SaveStateRequest setStates(List<State<?>> states)

### setStates

public SaveStateRequest setStates(State<?>... states)